### Method

# Vips Buf appends

#### Declaration [src]

    gboolean
    vips_buf_appends (
      VipsBuf* buf,
      const char* str
    )

#### Description [src]

Append the whole of `str` to `buf`.

#### Parameters

`str`

  Type: `const char*`

  The string to append to the buffer.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`FALSE` on overflow, `TRUE` otherwise.